probe::signal.sys_tkill
Prev | Chapter 17. Signal Tapset | Next

## Name

probe::signal.sys_tkill — Sending a kill signal to a thread

## Synopsis

    signal.sys_tkill

## Values

`task`

  A task handle to the signal recipient

`sig_name`

  A string representation of the signal

`pid_name`

  The name of the signal recipient

`sig_pid`

  The PID of the process receiving the kill signal

`name`

  Name of the probe point

`sig`

  The specific signal sent to the process

## Description

The tkill call is analogous to kill(2), except that it also allows a process within a specific thread group to be targeted. Such processes are targeted through their unique thread IDs (TID).

Prev | Up | Next
probe::signal.sys_tgkill.return | Home | probe::signal.syskill